gtkmm 2.4: Gdk::PixbufAnimationIter Class Reference

Main Page Widgets Namespaces Book

# Gdk::PixbufAnimationIter Class Reference

Inheritance diagram for Gdk::PixbufAnimationIter:

[legend]
List of all members.

## Public Member Functions
const GdkPixbufAnimationIter* | gobj () const
| Provides access to the underlying C GObject.
GdkPixbufAnimationIter* | gobj ()
| Provides access to the underlying C GObject.
GdkPixbufAnimationIter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~PixbufAnimationIter ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gdk::PixbufAnimationIter> | wrap (GdkPixbufAnimationIter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdk::PixbufAnimationIter::~PixbufAnimationIter | ( |  | ) | `[virtual]`

## Member Function Documentation

const GdkPixbufAnimationIter* Gdk::PixbufAnimationIter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkPixbufAnimationIter* Gdk::PixbufAnimationIter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkPixbufAnimationIter* Gdk::PixbufAnimationIter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::PixbufAnimationIter> wrap | ( | GdkPixbufAnimationIter * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pixbufanimationiter.h